Subject: Protocol Action: 'CBOR Encoding of Data Modeled with YANG' to Proposed Standard (draft-ietf-core-yang-cbor-20.txt)

From: The IESG <[email-masked]>
Date: Tue, 12 Apr 2022 13:44:07 -0700

The IESG has approved the following document:
- 'CBOR Encoding of Data Modeled with YANG'
  (draft-ietf-core-yang-cbor-20.txt) as Proposed Standard

This document is the product of the Constrained RESTful Environments Working
Group.

The IESG contact persons are Murray Kucherawy and Francesca Palombini.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-core-yang-cbor/

Technical Summary:

The present document and draft-ietf-core-sid together provide the foundation to extend YANG-based management down to constrained devices (RFC 7228).
In particular, the present document defines encoding rules for serializing YANG using the Concise Binary Object Representation (CBOR) [RFC8949], specifically configuration data, state data, RPC input and RPC output, action input, action output, notifications and yang-data extension defined within YANG modules.
The companion document draft-ietf-core-sid defines YANG Schema Item iDentifiers (YANG SID) and a file format used to persist and publish assigned YANG SIDs.
The two other documents draft-ietf-core-comi and draft-ietf-core-yang-library apply the two documents above, by using the CoAP protocol (RFC 7252) for access and providing information to be used in conjunction with CoRE resource discovery (RFC 6690).

Working Group Summary:

The suite of documents spans specific areas of interest of several WGs, in particular NETMOD, CBOR, and CORE, as well as NETCONF. This required coordination between authors and reviewers that see different of these WGs as their central point of activity. While the documents were stable already for a while, a specific issue on representing YANG unions required somewhat unsavory resolutions, which held up the process considerably.

Document Quality:

Since the document became a WG document in April 2016, several reviews were provided by members of the concerned WGs.
Jürgen Schönwälder as well as Andy Bierman were very helpful in resolving remaining issues about this document. 
The document also received Last-Call comments from Yangdoctors and Genart.

Personnel:

Document Shepherd: Marco Tiloca <[email-masked]>
Area Director: Francesca Palombini <[email-masked]>
Carsten Bormann served as Document Shepherd up until version -15 included, thus taking care of most of the shepherding process and especially providing the original version of this writeup.